* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Bildung
* Mikrozensus Scientific Use File 2000

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: bildung00.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=2000.

* Versionsnummer des Moduls 'Bildung'.
COMPUTE vers_bil=5.


*-------------------------------------------------   Kindergartenbesuch   -------------------------------------------------.

COMPUTE kiga=0.
IF (EF70=1 AND EF71=8) kiga=1.


*---------------------------------------------   Gegenwaertiger Schulbesuch   ---------------------------------------------.

COMPUTE sbes=0.
IF EF71=1 sbes=1.


*---------------------------------------   Art der gegenwaertig besuchten Schule   ----------------------------------------.

RECODE EF72 (0,9=-3) (1,2=1) (3=2) (4=3) (5=4) (6=5) INTO schul_2.

RECODE EF72 (0=-2) (9=-1) (ELSE=COPY) INTO schul_3.


*-----------------------------------------   Allgemein bildender Schulabschluss   -----------------------------------------.

RECODE EF286 (0=-2) (9=-1) (1=1) (8=0) INTO sab.

RECODE EF287 (0,9=-3) (1=1) (2,3=2) (4=3) (5=4) INTO asa_1.

RECODE EF287 (0=-2) (9=-1) (ELSE=COPY) INTO asa_2.
IF EF286=8 asa_2=0. 
IF EF286=9 asa_2=-1. 


*---------------------------------------------   Berufsbildender Abschluss   ----------------------------------------------.

RECODE EF288 (0=-2) (9=-1) (1=1) (8=0) INTO berab.

RECODE EF289 (0=-2) (1 THRU 2=1) (3 THRU 4=2) (5 THRU 6=3) (7=4) (8 THRU 9=5) (99=-1) INTO bab_1.
IF EF33<=1953 AND EF289=1 bab_1=2.
IF EF288=8 bab_1=0. 
IF EF288=9 bab_1=-1.

RECODE EF289 (0=-2) (1 THRU 2=1) (3 THRU 4=2) (5=3) (6=4) (7=5) (8=6) (9=7) (99=-1) INTO bab_2.
IF EF33<=1953 AND EF289=1 bab_2=2.
IF EF288=8 bab_2=0. 
IF EF288=9 bab_2=-1.


*--------------------------------------   Teilnahme an beruflicher Weiterbildung   ----------------------------------------.

COMPUTE wbber=EF294.
RECODE wbber (0,9=-3).
RECODE wbber (8,2=0) (3=1).
IF EF299=1 wbber=0.
IF EF738=0 wbber=-3.


*-----------------------------------------   Ort der beruflichen Weiterbildung   ------------------------------------------.

COMPUTE wbort=EF300.
RECODE wbort (1,3=1) (2=2) (4=3) (5,6=4) (9,0=-3).
IF wbber=0 wbort=0.
IF EF738=0 wbort=-3.


*----------------------------------------   Dauer der beruflichen Weiterbildung   -----------------------------------------.

COMPUTE wbdau=0.
RECODE wbdau (0=SYSMIS).
IF (EF301=1 OR EF301=2) wbdau=1.
IF (EF301=3 OR EF301=4) wbdau=2.
IF EF301=5 wbdau=3.
IF (EF301=6 OR EF301=7) wbdau=4.
IF EF301=8 wbdau=5.
IF (EF301=9 OR EF301= 0) wbdau=-3.
IF wbber=0 wbdau=0. 
IF EF738=0 wbdau=-3.


*----------------------------------   Stunden pro Woche der beruflichen Weiterbildung   -----------------------------------.

COMPUTE wbstd=EF302.
RECODE wbstd (16 THRU 20=16) (21 THRU 25=21) (26 THRU 30=26) (31 THRU 35=31)
   (36 THRU 40=36) (41 THRU 45=41) (46 THRU 50=46) (51=51) (99=-1) (0=-3).
IF wbber=0 wbstd=0.
IF EF738=0 wbstd=-3.


*----------------------------------   Teilnahme an allg. Weiterbildung im letzten Jahr   ----------------------------------.

COMPUTE wbalg=EF294.
RECODE wbalg (0=-2) (9=-1) (8,1=0) (2, 3=1).
IF EF299=1 wbalg=0.
IF EF738=0 wbalg=-2.
EXECUTE.

