* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Bildung
* Mikrozensus Scientific Use File 1985

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: bildung85.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1985.

* Versionsnummer des Moduls 'Bildung'.
COMPUTE vers_bil=5.


*--------------------------------------------------   Kindergartenbesuch   ------------------------------------------------.

COMPUTE kiga=0.
IF EF56=0 kiga=1.


*---------------------------------------------   Gegenwaertiger Schulbesuch   ---------------------------------------------.

COMPUTE sbes=0.
IF (EF56>=1 AND EF56<=9) sbes=1.


*---------------------------------------   Art der gegenwaertig besuchten Schule   ----------------------------------------.

RECODE EF56 (0,99=-3) (1=1) (2=2) (3=4) (4=3)  (5,6=5) (7=6) (8=7) (9=8) INTO schul_1.

RECODE EF56  (0,99=-3) (1,2,4=1) (3=2) (5,6,9=3) (7=4) (8=5)  INTO schul_2.
IF (EF56=3 AND alter < 17) schul_2=1.


*-----------------------------------------   Allgemein bildender Schulabschluss   -----------------------------------------.

RECODE EF121 (0,9=-3) (ELSE=COPY) INTO asa_1.


*------------------------------------   Allgemein bildender Schulabschluss detailliert   ----------------------------------.

RECODE EF121 (9=-2) (0=-1) (1=1) (2=3) (3=4) (4=5) INTO asa_2.


*---------------------------------------------   Berufsbildender Abschluss   ----------------------------------------------.

RECODE EF122 (9=-2) (0=-1) (2 THRU 6=1) (1=0) INTO berab.

RECODE EF122 (0=-1) (1=0) (2=2) (3=1) (4=3) (5=4) (6=5) (9=-2) INTO bab_1.


*---------------------------------------   Teilnahme an beruflicher Weiterbildung   ---------------------------------------.

RECODE EF124 (1 THRU 6=1) (9=0) (0,8=-3) (ELSE=SYSMIS) INTO wbber.


*-----------------------------------------   Ort der beruflichen Weiterbildung   ------------------------------------------.

RECODE EF124 (1=1) (2,3,4=2) (5=3) (6=4) (9=0) (0,8=-3) (ELSE=SYSMIS) INTO wbort.


*-----------------------------------------   Dauer der beruflichen Weiterbildung   ----------------------------------------.

RECODE EF125 (1=1) (2=2) (3=3) (4,5=4) (6=5) (0,9=-3) (ELSE=SYSMIS) INTO wbdau.
IF wbber=0 wbdau=0. 
EXECUTE.

