﻿* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Vergabe von Variablen- und Value-Labels.
* Themenbereich Bildung


*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: bildung_labels.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------   Vergabe von Variable Labels   --------------------------------------------.

VARIABLE LABELS vers_bil 'Versionsnummer Bereich Bildung'
   / kiga 'Kindergarten: gegenwaertiger Besuch'
   / sbes 'Schule: gegenwaertiger Besuch'
   / schul_1 'Art der gegenwaertig besuchten Schule: Schultyp'
   / schul_2 'Art der gegenwaertig besuchten Schule: typisiert'
   / schul_3 'Art der gegenwaertig besuchten Schule: Klassenstufe'
   / sab 'Vorhandensein eines Schulabschlusses'
   / asa_1 'Allgemein bildender Schulabschluss'
   / asa_2 'Allgemein bildender Schulabschluss: detailliert'
   / berab 'Vorhandensein eines Berufsabschlusses'
   / bab_1 'Berufsbildender Abschluss'
   / bab_2 'Berufsbildender Abschluss: detailliert'
   / cas_1 'CASMIN-Klassifikation des GML'
   / cas_2 'CASMIN-Klassifikation des GML (in Ausb. separat)'
   / isc 'ISCED-1997 (GML)'
   / wbber "Berufliche Weiterbildung (MZ96-MZ04: USP)"
   / wbort "Ort der beruflichen Weiterbildung (ab MZ96: USP)"
   / wbdau "Dauer der beruflichen Weiterbildung (ab MZ96: USP)"
   / wbstd "Berufliche Weiterbildung: Stunden pro Woche (USP)"
   / wbalg "Allgemeine Weiterbildung: letztes Jahr (bis MZ04: USP)".


*----------------------------------------------   Vergabe von Value Labels   ----------------------------------------------.

VALUE LABELS
   kiga
          0 'entfaellt (nein / ohne Angabe)'
          1 'ja'
   / sbes
          0 'entfaellt (nein / ohne Angabe)'
          1 'ja'
   / schul_1
          1 'Grund-/Haupt-/Volksschule'
          2 'Real-/Mittelschule'
          3 'Integrierte Gesamtschule'
          4 'Gymnasium'
          5 'Fachschule/Berufsfachschule'
          6 'Ingenieur-/Fachhochschule'
          7 'Hochschule'
          8 'Berufsschule (ab MZ80)'
          -3 'entfaellt / ohne Angabe'
   / schul_2
          1 'Kl. 1-10, allgem. bild. Schule'
          2 'Kl. 11-13, allgem. bild. Schule'
          + ' (gymnasiale Oberstufe)'
          3 'Berufliche Schule'
          4 'Fachhochschule'
          5 'Hochschule'
          -3 'entfaellt / ohne Angabe'
   / schul_3
          1 'Kl. 1-4, allgem. bild. Schule'
          2 'Kl. 5-10, allgem. bild. Schule'
          3 'Kl. 11-13, allgem. bild. Schule'
             + ' (gymnasiale Oberstufe)'
          4 'Berufliche Schule'
          5 'Fachhochschule'
          6 'Hochschule'
          7 'Promotionsstudium (ab MZ03)'
          -1 'ohne Angabe'
          -2 'entfaellt'
          -3 'nur MZ91-95: entfaellt / ohne Angabe'
   / sab
          0 'nein'
          1 'ja'
          -1 'ohne Angabe (ausser in MZ05 und MZ06)'
          -2 'entfaellt (MZ95: auch ohne Angabe)'
   / asa_1
          1 'Haupt-/Volksschulabschluss'
          2 'mittlere Reife'
          3 'Fachhochschulreife'
          4 'Hochschulreife'
          -3 'entfaellt / ohne Angabe'
   / asa_2
          0 'kein Abschluss (ab MZ91)'
          1 'Haupt-/Volksschulabschluss'
          2 'Abschluss an polytechnischer Oberschule der ehemaligen DDR (ab MZ91)'
          3 'Realschulabschluss'
          4 'Fachhochschulreife'
          5 'Allgemeine oder fachgebundene Hochschulreife'
          -1 'ohne Angabe'
          -2 'entfaellt (MZ95: auch ohne Angabe)'
   / berab
          0 'nein'
          1 'ja'
          -1 'ohne Angabe (ausser in MZ05 und MZ06)'
          -2 'entfaellt (MZ95: auch ohne Angabe)'
   / bab_1
          0 'kein Abschluss'
          1 'berufl. Praktikum (ab MZ 96: auch Anlernausbildung, ab MZ 99: auch BVJ)'
          2 'Lehrausbildung (bis MZ95: auch Anlernausbildung)'
          3 'Meister-/Technikerabschluss'
          4 'Fachhochschulabschluss'
          5 'Hochschulabschluss'
          -1 'ohne Angabe'
          -2 'entfaellt (MZ95: auch ohne Angabe)'
   / bab_2
          0 'kein Abschluss'
          1 'Anlernausbildung/berufl. Praktikum/BVJ'
          2 'Lehrausbildung oder gleichw. Berufsfachschulabschluss'
          3 'Meister-/Techniker- oder gleichw. Fachschulabschluss'
          4 'Fachschulabschluss der ehem. DDR'
          5 'Fachhochschulabschluss'
          6 'Hochschulabschluss'
          7 'Promotion (ab MZ99)'
          -1 'ohne Angabe'
          -2 'entfaellt'
    / cas_1
          0 '1a (kein Ab.)'
          1 '1b (HSO)'
          2 '1c (HSM)'
          3 '2b (MRO)'
          4 '2a (MRM)'
          5 '2c_gen (ABIO)'
          6 '2c_voc (ABIM)'
          7 '3a (FH)'
          8 '3b (UNI)'
          -3 'entfaellt / ohne Angabe'
   / cas_2
          0 '1a (kein Ab.)'
          1 '1b (HSO)'
          2 '1c (HSM)'
          3 '2b (MRO)'
          4 '2a (MRM)'
          5 '2c_gen (ABIO)'
          6 '2c_voc (ABIM)'
          7 '3a (FH)'
          8 '3b (UNI)'
          9 'in Ausbildung'
          -3 'entfaellt / ohne Angabe'
   / isc
          1 '1'
          2 '2 (B)'
          3 '2 (A)'
          4 '3B'
          5 '3A'
          6 '4A'
          7 '5B'
          8 '5A'
          -3 'entfaellt / ohne Angabe'
   / wbber 
          0 'nein'
          1 'ja'
          -3 'entfaellt/ ohne Angabe'
   / wbort
          0 'keine Fort- und Weiterbildung oder Umschulung'
          1 'am Arbeitsplatz'
          2 'Bildungseinrichtungen (z.B.: IHK, berufsbild. Schule/Hochschule, besond. Weiterbildungsstaetten)'
          3 'Fernunterricht'
          4 'auf andere Art (MZ76, MZ78: auch Fernunterricht)'
          -3 'entfaellt / ohne Angabe'
   / wbdau
          0 'keine Fort- und Weiterbildung oder Umschulung'
          1 'unter 1 Monat'
          2 '1 Monat bis unter 6 Monate'
          3 '6 Monate bis unter ein Jahr'
          4 'ein Jahr und laenger'
          5 'z.Zt. noch andauernd; unbestimmte Dauer (MZ82-MZ95, MZ99-MZ02)'
          -3 'entfaellt / ohne Angabe'
   / wbstd
          0 'keine Fort- und Weiterbildung oder Umschulung'
          1 '1 Stunde'
          2 '2 Stunden'
          3 '3 Stunden'
          4 '4 Stunden'
          5 '5 Stunden'
          6 '6 Stunden'
          7 '7 Stunden'
          8 '8 Stunden'
          9 '9 Stunden'
          10 '10 Stunden'
          11 '11 Stunden'
          12 '12 Stunden'
          13 '13 Stunden'
          14 '14 Stunden'
          15 '15 Stunden'
          16 '16 bis 20 Stunden'
          21 '21 bis 25 Stunden'
          26 '26 bis 30 Stunden'
          31 '31 bis 35 Stunden'
          36 '36 bis 40 Stunden'
          41 '41 bis 45 Stunden'
          46 '46 bis 50 Stunden'
          51 '51 Stunden und mehr'
          -1 'ohne Angabe zur Stundenzahl'
          -3 'entfaellt / ohne Angabe'
   / wbalg
          1 'ja'
          0 'nein'
          -1 'ohne Angabe'
          -2 'entfaellt'.

