* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Vergabe von Variablen- und Value-Labels.
* Themenbereich Einkommen


*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: eink_labels.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------   Vergabe von Variable Labels   --------------------------------------------.

VARIABLE LABELS  vers_ein 'Versionsnummer Bereich Einkommen'
   / einkp_1 'Nettoeinkommen: persoenlich'
   / einkp_2 'Nettoeinkommen, preisbereinigt: persoenlich'
   / einkh_1 'Nettoeinkommen: Haushalt'
   / einkh_2 'Nettoeinkommen, preisbereinigt: Haushalt'
   / ebezh 'Einkommensbezieher im Haushalt: Anzahl'
   / ueblu_1 'Ueberwiegender Lebensunterhalt'
   / ueblu_2 'Ueberwiegender Lebensunterhalt, detailliert, ab 1973'
   / ueblu_3 'Ueberwiegender Lebensunterhalt, detailliert, ab 1985'
   / aeq_1 'Aequivalenzeinkommen, preisbereinigt, alte OECD-Skala'
   / aeq_2 'Aequivalenzeinkommen, preisbereinigt, neue OECD-Skala'
   / aeq_3 'Aequivalenzeinkommen, preisbereinigt, BSHG-Skala'
   / epos_1 'Einkommensposition, Median einheitlich'
   / epos_2 'Einkommensposition, Median getrennt fuer West und Ost'.


*----------------------------------------------   Vergabe von Value Labels   ----------------------------------------------.

VALUE LABELS
   einkp_1
          -1 'ohne Angabe'
          -2 'entfaellt'
   / einkp_2
          -1 'ohne Angabe'
          -2 'entfaellt'
   / einkh_1
          -1 'ohne Angabe'
          -2 'entfaellt'
   / einkh_2
          -1 'ohne Angabe'
          -2 'entfaellt'
   / ebezh
          0 '0 Einkommensbezieher'
          1 '1 Einkommensbezieher'
          2 '2 Einkommensbezieher'
          3 '3 Einkommensbezieher'
          4 '4 Einkommensbezieher'
          5 '5 Einkommensbezieher'
          6 '6 Einkommensbezieher'
          7 '7 Einkommensbezieher'
          8 '8 Einkommensbezieher'
          9 '9 Einkommensbezieher'
          10 '10 Einkommensbezieher'
          11 '11 Einkommensbezieher'
          12 '12 Einkommensbezieher'
          13 '13 Einkommensbezieher'
          14 '14 Einkommensbezieher'
          15 '15 Einkommensbezieher'
          16 '16 Einkommensbezieher'
          17 '17 Einkommensbezieher'
          18 '18 Einkommensbezieher'
          19 '19 Einkommensbezieher'
          20 '20 Einkommensbezieher'
          -1 'ohne Angabe'
          -2 'entfaellt'
   / ueblu_1
          1 'Erwerbs-/Berufstaetigkeit'
          2 'Arbeitslosengeld/-hilfe (ab MZ05: ALG I/II; ab MZ07: Hartz IV)'
          3 'Unterhalt durch Angehoerige'
          4 'sonstiges'
          -2 'entfaellt'
   / ueblu_2
          1 'Erwerbs-/Berufstaetigkeit'
          2 'Arbeitslosengeld/-hilfe (ab MZ05: ALG I/II; ab MZ07: Hartz IV)'
          3 'Unterhalt durch Angehoerige'
          4 'Rente/Pension'
          5 'eigenes Vermoegen'
          6 'sonstiges'
   / ueblu_3
          1 'Erwerbs-/Berufstaetigkeit'
          2 'Arbeitslosengeld/-hilfe (ab MZ05: ALG I/II; ab MZ07: Hartz IV)'
          3 'Unterhalt durch Angehoerige'
          4 'Rente/Pension'
          5 'eigenes Vermoegen'
          6 'Sozialhilfe (ab MZ07: inkl. Pflegeversicherung)'
          7 'Pflegeversicherung (MZ96 bis MZ06)'
          8 'sonstiges'
   / aeq_1
          -1 'ohne Angabe'
          -2 'entfaellt'
   / aeq_2
          -1 'ohne Angabe'
          -2 'entfaellt'
   / aeq_3
          -1 'ohne Angabe'
          -2 'entfaellt'
   / epos_1
          -1 'ohne Angabe'
          -2 'entfaellt'
   / epos_2
          -1 'ohne Angabe'
          -2 'entfaellt'.

