* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Erwerbstaetigkeit
* Mikrozensus Scientific Use File 1965

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: erwerb65.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1965.

* Versionsnummer des Moduls 'Erwerbstaetigkeit'.
COMPUTE vers_erw=5.


*-----------------------------   Mithelfende Familienangehoerige oder Gelegeheitstaetigkeit   -----------------------------.

COMPUTE mith=v56.
RECODE mith (2, 3=0).
IF (v10>949) mith=0.
EXECUTE.


*---------------------------------------   Erwerbstaetigkeit: Mikrozensus-Konzept   ---------------------------------------.

COMPUTE erw_1=v70.
RECODE erw_1 (1, 2, 3, 4, 11, 12=1) (5, 6, 7=2) (8, 9=3).
IF (v10>949) erw_1=3.
EXECUTE.


*------------------------------------------------   2. Erwerbstaetigkeit   ------------------------------------------------.

*wurde bereits im Kapitel Methodische Variablen generiert.


*---------------------------------   Tatsaechliche Arbeitszeit (Berichtswoche: Stunden)   ---------------------------------.

COMPUTE abstd_2=V36.
RECODE abstd_2 (99=0).
EXECUTE.


*-------------------------------------------------   Stellung im Beruf   --------------------------------------------------.

COMPUTE stib_1=v33.
RECODE stib_1 (10, 70=1)  (20=2) (30=3) (40=4) (50, 60=5) (80, 90=6) (0=-2).
IF (erw_1=2 OR erw_1=3) stib_1=-2.
IF (stib_1=-2 AND erw_1=1) AND (v70=11 OR v70=12) stib_1=3.
EXECUTE.


*-------------------------------------------------   Arbeitslosigkeit   ---------------------------------------------------.

COMPUTE alo_1=V30.
RECODE alo_1 (1, 2=1) (3=0).
IF (v10>949) alo_1=0.
EXECUTE.

COMPUTE alo_2=V30.
RECODE alo_2 (3=0).
IF (v10>949) alo_2=0.
EXECUTE.


*-------------------------------------------------   Wirtschaftssektor   --------------------------------------------------.

COMPUTE sek=v44.
RECODE sek (110 THRU 140=1) (200=2) (210=1) (300 THRU 410=2) (500 THRU 1060=3) (1100=-1) (1200=-2).
IF (erw_1=2 OR erw_1=3) sek=-2.
IF (erw_1=1 AND sek=-2) sek=-1.
EXECUTE.

