* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Erwerbstaetigkeit
* Mikrozensus Scientific Use File 1973

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: erwerb73.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1973.

* Versionsnummer des Moduls 'Erwerbstaetigkeit'.
COMPUTE vers_erw=5.


*-----------------------------   Mithelfende Familienangehoerige oder Gelegeheitstaetigkeit   -----------------------------.

COMPUTE mith=EF47.
RECODE mith (9=0).
IF (EF66<15) mith=0.
EXECUTE.


*---------------------------------------   Erwerbstaetigkeit: Mikrozensus-Konzept   ---------------------------------------.

COMPUTE erw_1=EF65.
RECODE erw_1 (1,2,3,9,10=1) (4,5,6=2) (7,8=3).
IF (EF66<15) erw_1=3.
EXECUTE.


*------------------------------------------------   2. Erwerbstaetigkeit   ------------------------------------------------.

COMPUTE zwerw=EF87.
RECODE zwerw (1,5=1) (0,9=0).
EXECUTE.


*--------------------------------   Normalerweise geleistete Arbeitszeit (Std.) je Woche   --------------------------------.

COMPUTE abstd_1=EF43.
RECODE abstd_1 (1=1.5) (58=58.5) (61=61.5) (66=66.5) (68=68.5) (71=71.5)
   (73=73.5) (77=78) (81=82) (86=87.5) (91=92.5) (0=0).
EXECUTE.


*---------------------------------   Tatsaechliche Arbeitszeit (Berichtswoche: Stunden)   ---------------------------------.

COMPUTE abstd_2=EF44.
RECODE abstd_2 (68=68.5) (71=71.5) (73=73.5) (78=78.5) (81=81.5) (83=83.5) (86=87.5) (91=92.5)   
   (96=96.5) (99=0).
IF (erw_1=2 OR erw_1=3) abstd_2=0.
EXECUTE.


*-------------------------------------------------   Stellung im Beruf   --------------------------------------------------.

COMPUTE stib_1=EF39.
RECODE stib_1 (0, 1=1)  (8, 9=3) (6, 7=6) (99=-2).
IF (erw_1=2 OR erw_1=3) stib_1=-2.
EXECUTE.


*-----------------------------------------------   Vollzeit oder Teilzeit   -----------------------------------------------.

COMPUTE vztz=EF84.
RECODE vztz (0=-2).
EXECUTE.


*-------------------------------------------------   Arbeitslosigkeit   ---------------------------------------------------.

COMPUTE alo_1=EF28.
RECODE alo_1  (1, 2=1).
IF (EF66<15) alo_1=0.
EXECUTE.

COMPUTE alo_2=EF28.
IF (EF66<15) alo_2=0.
EXECUTE.


*-----------------------------------------------   Beruf nach KldB 1975   -----------------------------------------------.

COMPUTE beruf_1=EF42.
RECODE beruf_1 (31,32=031) (41,42=041) (81,82,91=081) (143,144=143) (181,183=181) (223,224=223)  
   (231,232=231) (251,252=251) (341,343,354,355,356=341) (371,374,375,376,378=371)   
   (421,423,424=421) (464,466=464) (501,503,504=501) (682,687,688=682) (691,692,693,694=691)
   (721,722,723=721) (832,835=832) (891,892=891) (0=-2).
IF (erw_1=2 OR erw_1=3) beruf_1=-2.
EXECUTE.


*-------------------------------------------   Bildung der MPS-Berufsvariable   -------------------------------------------.

COMPUTE mps=EF42.
RECODE mps 
   (0=-2) (11=35.1) (12=42.7) (21=43.8) (31=79.7) (32=84.9)
   (41=30.1) (42=32.7) (43=30.0) (44=33.5) (51=48.7) (53=52.9)
   (61=64.0) (62=31.8) (71=40.7) (81=32.9) (82=40.6)
   (91=32.6) (101=41.8) (111=31.1) (112=31.2) (121=31.9) (131=36.7)
   (135=33.1) (141=36.8) (142=49.1) (143=32.6)
   (144=40.9) (151=32.8) (161=32.9)(162=31.5) (163=44.4) (164=32.1) (171=51.2)
   (172=50.3) (173=49.0) (174=48.7) (175=35.1) (176=49.9) (177=33.4) 
   (181=35.7) (183=30.1) (191=33.4) (192=32.1)
   (193=32.1) (201=35.6) (202=35.5) (203=32.1) (211=31.9) (212=32.1)
   (213=32.9) (221=35.9) (222=33.5) (223=32.0) (224=36.1) (225=32.9)
   (231=32.4) (232=49.1) (233=39.2) (234=35.6) (235=36.2)
   (241=35.4) (242=40.4) (251=44.3) (252=36.1)
   (261=41.1) (262=44.9) (263=39.2) (270=38.1) (281=46.0) (282=42.8)
   (283=49.1) (284=48.9)
   (285=43.6) (286=53.6) (291=41.4) (301=35.1) (302=54.0) (303=64.9)
   (304=72.2) (305=46.8) (311=47.7) (312=48.6) (313=44.3)
   (314=49.9) (315=50.2) (321=35.6) (322=38.5) (323=31.7) (331=31.5)
   (332=32.6) (341=32.7) (342=35.5) (343=36.8) 
   (351=48.0) (352=33.5) (353=33.0) (354=31.1) (355=30.3)
   (356=35.5) (357=32.9) (361=32.8) (362=36.3) (371=36.1) (372=50.2)
   (373=30.3) (374=40.9) (375=45.4) (376=31.1) (378=53.2)
   (391=51.6) (392=52.5) (401=52.5) (402=38.1) (411=38.1)
   (421=41.4) (423=33.5) (424=38.5) (431=37.4)
   (432=48.7) (433=33.0) (441=40.1) (442=33.0) (451=41.7) (452=38.7)
   (453=37.2) (461=32.7) (462=31.8) (463=32.7) (464=41)
   (466=42.7) (470=30.3) (481=40.9) (482=42.8) (483=48.5)
   (485=40.9) (486=39.2) (491=49.6) (492=36.2) (501=42.5)
   (502=41.4) (503=36.8) (504=37.4) (511=44.2) (512=37.4)
   (514=46.1) (521=43.1) (522=32.1) (531=31.0) (541=42.5) (542=39.8)
   (544=32.2) (545=32.5) (546=33.2) (547=38.6) (548=33.1)
   (549=36.1) (601=103.5) (602=89.6) (603=111.7) (604=85.7) (605=106.3)
   (606=104.6) (607=88.3) (611=123.9) (612=125.2) (621=69.7) (622=61.8)
   (623=71.2) (624=53.4) (625=80.2) (626=72.1) (627=67.7) (628=67.5)
   (629=63.9) (631=60.7) (632=51.7) (633=53.1)(634=53.1) (635=52.7)
   (681=78.0) (682=51.1) (683=80.7) (684=69.7) (685=51.6) (686=46.1) 
   (687=68.8) (688=50.1) (691=74.1) (692=68.9) (693=79.7) (694=70.8)
   (701=61.0) (702=69.2) (703=71.9) (704=80.6) (705=54.2) (706=47.9)
   (711=50.1) (712=49.5) (713=51.8) (714=40.7) (716=35.5)
   (721=85.1) (722=69.8) (723=46.2) (724=49.7) (726=79.8)
   (731=52.5) (732=48.3) (733=64.3) (741=37.2) (742=31.1)
   (743=36.2) (744=31.5) (751=101.4) (752=90.1) (753=106.0) (761=153.5)
   (762=84.8) (763=80.0) (771=68.9) (772=64.7) (773=53.3) (774=79.6)
   (781=60.5) (782=53.2) (783=53.3) (784=42.9) (791=46.2) (792=36.5)
   (793=39.1) (794=36.1) (801=63.0) (802=52.9) (803=53.1) (804=61.1)
   (805=51.7) (811=138.2) (812=80.8) (813=145.7) (814=53.5) (821=85.4)
   (822=80.9) (823=80.3) (831=78.1) (832=71.1) (833=60.3)
   (835=54.1) (836=53.6) (837=64.1) (841=191.3) (842=216.0)
   (843=138.9) (844=207.2) (851=71.0) (853=51.5) (854=43.2)
   (855=68.9) (856=52.9) (857=53.2) (861=54.1) (862=71.6) (863=80.3)
   (864=64.7) (871=152.5) (872=132.1) (873=120.0) (874=104.6) (875=80.9)
   (876=67.6) (877=71.4) (881=135.7) (882=122.2) (883=139.8) (891=122.0) (892=139.8)
   (893=51.8) (901=60.6) (902=44.4) (911=53.9) (912=38.8)
   (913=38.5) (921=64.0) (922=51.1) (931=39.2) (932=53.2)
   (933=31.9) (934=32.7) (935=32.6) (936=32.5) (937=31.9) (ELSE=0).
IF (erw_1=2 OR erw_1=3) mps=-2.
EXECUTE.


*-------------------------------------------   Berufsklassifikation: Blossfeld   -------------------------------------------.

COMPUTE bk=EF42.
RECODE bk (11,12,21,41,42,43,44,51,53,61,62=1)
   (71,81,82,91,101,111,112,121,131,
   135,141,143,151,161,162,164,176,177,181,183,191,
   192,193,203,211,212,213,222,223,224,225,231,232,233,
   234,235,241,242,252,263,301,313,321,322,323,
   332,341,342,343,345,352,353,354,355,356,357,361,
   362,371,373,375,376,402,423,424,431,432,433,
   442,452,453,461,462,463,464,466,470,482,486,504,512,
   514,521,522,531,542,544,545,546,547,548,549=2)
   (142,144,163,171,172,173,174,175,201,202,221,251,261,
   262,270,281,282,283,284,285,286,291,302,
   305,311,312,314,315,331,351,372,374,378,391,392,401,411
   421,441,451,481,483,485,491,492,501,502,503,511,541=3)
   (303,304,621,622,623,624,625,626,627,628,629,631,632,
   633,634,635,721,722,857=4)          
   (032,601,602,603,604,605,606,607,611,612,726,883=5)
   (685,686,688,706,713,714,716,723,724,741,742,743,
   744,791,792,793,794,805,911,912,913,922,931,932,
   933,934,935,936,937=6)
   (684,704,705,711,712,801,802,803,804,812,814,831,832,833,
   835,836,837,851,854,855,856,892,893,901,902,921=7)
   (821,822,823,853,861,862,863,864,873,874,875,876,877=8)
   (811,813,841,842,843,844,871,872,881,882,891=9)
   (682,687,731,732,733,773,782,783,784=10)
   (31,681,683,691,692,693,694,701,702,703,771,772,774,781=11)
   (751,752,753,761,762,763=12) (ELSE=0).
IF (erw_1=2 OR erw_1=3) bk=-2.
EXECUTE.


*-------------------------------------------------   Wirtschaftssektor   --------------------------------------------------.

COMPUTE sek=EF41.
RECODE sek (1 THRU 5=1) (7=2) (8 THRU 11=1) (12 THRU 47=2) (48 THRU 95=3) (99=-1) (0=-2).
IF (erw_1=2 OR erw_1=3) sek=-2.
EXECUTE.

