* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Gesundheit
* Mikrozensus Scientific Use File 2011

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: ges11.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Erhebungsjahr.
COMPUTE jahr=2011.

* Versionsnummer des Moduls 'Gesundheit'.
COMPUTE vers_ges=5.


*------------------------------------------------   Pflegebeduerftigkeit   ------------------------------------------------.

* Pflegestufe.
RECODE EF428 (-5=-2) (1=1) (2=2) (3=3) INTO pfstu.

*-------------------------------------------------   Krankenversicherung   ------------------------------------------------.

* Krankenversicherung.
RECODE EF456 (1 THRU 5=1) (8=2) (9=-1) (-5=-2) INTO kavrs.

* Krankenversicherung: Kassentyp (8 Kategorien).
RECODE EF458 (3=1) (4=3) (5=4) (6=1) (7=5) (8=6) (9=8) (-5=8) (ELSE=COPY) INTO katyp_1.
IF EF456=-5 katyp_1=-2.

* Krankenversicherung: Kassentyp (10 Kategorien).
RECODE EF458 (9=10) (-5=10) (ELSE=COPY) INTO katyp_2.
IF EF456=-5 katyp_2=-2.

* Art der Krankenversicherung.
RECODE EF456 (1=1) (2=2) (3=6) (4=2) (5=6) (8 THRU 9=7) INTO kaart.
IF EF385=1 kaart=3.
IF EF456=-5 kaart=-2.

EXECUTE.

