* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Gesundheit
* Mikrozensus Scientific Use File 1989

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: ges89.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Erhebungsjahr.
COMPUTE jahr=1989.

* Versionsnummer des Moduls 'Gesundheit'.
COMPUTE vers_ges=5.


*-----------------------------------------------------   Ernaehrung   -----------------------------------------------------.

* Jodverwendung.
RECODE EF87 (0=0) (1=1) (9=2) (8=-2) INTO jodve.
IF ((uspg=1) AND (jodve=-2)) jodve=-1.

* Grund fuer Nichtverwendung von Jodsalz.
RECODE EF88 (0=-1) (1=1) (2=2) (3=3) (9=-2) INTO jodgr.


*------------------------------------------------------   Rauchen   -------------------------------------------------------.

* gegenwaertiger Raucher.
RECODE EF166u9 (0=-2) (1=1) (2=2) (9=3) INTO rauje.
IF ((uspg=1) AND (rauje=-2)) rauje=-1.

* ehemaliger Raucher.
RECODE EF166u11 (0=-2) (1=1) (2=2) (9=3) INTO raueh.
IF ((ef166u9=9) AND (raueh=-2)) raueh = -1.

* Alter bei Rauchbeginn.
RECODE EF166u10 (41 THRU 42=41) (99=-2) (ELSE=COPY) INTO raube.
IF (((EF166u9=1) OR (EF166u9=2) OR (EF166u11=1) OR (EF166u11=2)) AND (raube=-2)) raube = -1.

* Art des Gerauchten.
RECODE EF149 (1=1) (2=2) (3=3) (9=-2) INTO rauar.
IF (((EF166u9=1 OR EF166u9=2) OR (EF166u11=1 OR EF166u11=2)) AND (rauar=-2)) rauar=-1.

* Anzahl taeglich gerauchter Zigaretten.
RECODE EF150 (1=1) (2=2) (3=3) (4=4) (9=-2) INTO rauzi.
IF ((EF149=1) AND (rauzi=-2)) rauzi=-1.


*-----------------------------------------------   Krankheit und Unfaelle   -----------------------------------------------.

* Krankheit/Unfallverletzung in den letzten vier Wochen.
RECODE EF166u2 (0=-1) (1=1) (2=2) (9=3) (8=-2) INTO krank.

* Krankheit/Unfallverletzung: gegenwaertiges Andauern.
RECODE EF166u3 (0=-1) (1=1) (9=2) (8=-2) INTO krje.

* Krankheit/Unfallverletzung: Dauer.
RECODE EF166u4 (0=-1) (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (9=-2) INTO krdau.

* Arzt-/Krankenhausbehandlung.
RECODE EF166u5 (0=-1) (1=1) (2=2) (3=3) (8=-2) (9=4) INTO behan.

* Stationaere Krankenhausbehandlung: Dauer.
RECODE EF166u6 (0=-1) (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (9=-2) INTO kkhda.

* Arbeitsunfaehigkeit.
RECODE EF166u7 (0=-1) (1=1) (2=2) (9=3) (8=-2) INTO arbun.

* Unfallverletzung: Art des Unfalls.
RECODE EF166u8 (0=-1) (9=-2) (ELSE=COPY) INTO unfal.


*-----------------------------------------------------   Behinderung   ----------------------------------------------------.

* Behinderung: amtlicher Bescheid/Antrag.
RECODE EF167u1 (0=-1) (8=-2) (1 THRU 3=1) (4=2) (9=2) INTO behin.

* Behinderung: Grad.
RECODE EF167u2 (0=-1) (9=-1) (10=-2) (ELSE=COPY) INTO behgd.


*-------------------------------------------------   Krankenversicherung   ------------------------------------------------.

* Krankenversicherung: Kassentyp (8 Kategorien).
RECODE EF76 (10=8) (3=1) (4=3) (5=4) (6=1) (7=5) (8=6) (9=7) (ELSE=COPY) INTO katyp_1.

* Krankenversicherung: Kassentyp (10 Kategorien).
RECODE EF76 (ELSE=COPY) INTO katyp_2.

* Art der Krankenversicherung.
RECODE EF77 (7=6) (8=6) (9=7) (ELSE=COPY) INTO kaart.

* Krankenversicherung: zusaetzlich privat.
RECODE EF78 (0=-2) (1=1) (9=2) INTO kapri.
EXECUTE.

