* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Gesundheit
* Mikrozensus Scientific Use File 1997

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: ges97.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Erhebungsjahr.
COMPUTE jahr=1997.

* Versionsnummer des Moduls 'Gesundheit'.
COMPUTE vers_ges=5.


*------------------------------------------------   Pflegebeduerftigkeit   ------------------------------------------------.

* Hillfs- oder Pflegebeduerftigkeit.
RECODE EF316 (0=-2) (1=1) (8=2) (9=-1) INTO hilfe.

* Hilfsbeduerftigkeit: Koerperpflege.
RECODE EF317 (0=-2) (1=1) INTO hilfk.
IF ((EF316=1) AND (hilfk=-2)) hilfk=2.
COUNT hi=EF317 to EF320 (1, 2, 3, 4).
IF EF316=1 AND hi=0 hilfk=-1.

* Hilfsbeduerftigkeit: Ernaehrung.
RECODE EF318 (0=-2) (2=1) INTO hilfn.
IF ((EF316=1) AND (hilfn=-2)) hilfn=2.
COUNT hi=EF317 to EF320 (1, 2, 3, 4).
IF EF316=1 AND hi=0 hilfn=-1.

* Hilfsbeduerftigkeit: Beweglichkeit.
RECODE EF319 (0=-2) (3=1) INTO hilfb.
IF ((EF316=1) AND (hilfb=-2)) hilfb=2.
COUNT hi=EF317 to EF320 (1, 2, 3, 4).
IF EF316=1 AND hi=0 hilfb=-1.

* Hilfsbeduerftigkeit: Versorgung.
RECODE EF320 (0=-2) (4=1) INTO hilfv.
IF ((EF316=1) AND (hilfv=-2)) hilfv=2.
COUNT hi=EF317 to EF320 (1, 2, 3, 4).
IF EF316=1 AND hi=0 hilfv=-1.

* Hilfsbeduerftigkeit: Haeufigkeit.
RECODE EF325 (0=-2) (1=1) (2=2) (3=3) (4=4) (5=5) (9=-1) INTO hilfh.

* Leistungen aus Pflegeversicherung.
RECODE EF326 (0=-2) (8=2) (1=1) (9=-1) INTO pflei.

* Pflegestufe.
RECODE EF327 (0=-2) (1=1) (2=2) (3=3) (9=-1) INTO pfstu.
EXECUTE.

