* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Methodische Variablen
* Mikrozensus Scientific Use File 2000

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: methvar00.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

* Erhebungsjahr.
COMPUTE jahr=2000.

* Versionsnummer des Moduls 'Methodische Variablen'.
COMPUTE vers_met=5.


*---------------------------------------------------------   ID   ---------------------------------------------------------.

* Identifikationsnummer, fortlaufend nach Reihenfolge im Ausgangsdatensatz.
COMPUTE idnr=(2000000000+$CASENUM).
EXECUTE.


*---------------------------------------   Gewichtungs- und Hochrechnungsfaktoren   ---------------------------------------.

* Personengewichtungsfaktor.
COMPUTE pge=ef750.

* Personengewichtungsfaktor, Unterstichprobe (USP).
COMPUTE pgeu=ef755.

* Haushaltsgewichtungsfaktor.
COMPUTE hge=ef751.

* Haushaltsgewichtungsfaktor, Unterstichprobe (USP).
COMPUTE hgeu=ef756.
EXECUTE.

* Personengewichtungs- und Hochrechnungsfaktor.
COMPUTE pgeh=pge*100/0.7.

* Personengewichtungs- und Hochrechnungsfaktor, Unterstichprobe (USP).
COMPUTE pgeuh=pgeu*100/0.7.

* Haushaltsgewichtungs- und Hochrechnungsfaktor.
COMPUTE hgeh=hge*100/0.7.

* Haushaltsgewichtungs- und Hochrechnungsfaktor, Unterstichprobe (USP).
COMPUTE hgeuh=hgeu*100/0.7.
EXECUTE.


*------------------------------------   Stichprobenkennzeichnung und Erhebungsmodus   -------------------------------------.

* Kennzeichnung der Unterstichprobe.
COMPUTE usp=ef738.

* Erhebungsmodus: Art der Befragung.
RECODE ef9 (1 THRU 2=1) (3 THRU 4=2) (5 THRU 6=1) INTO bef_1.
RECODE ef9 (1 THRU 2=1) (3 THRU 4=3) (5 THRU 6=2) INTO bef_2.

* Erhebungsmodus: Art der Beteiligung.
RECODE ef51 (1=1) (2=2) (9=-1) (0=-2) INTO bet.
EXECUTE.

