﻿* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Nationalitaet und Migration
* Mikrozensus Scientific Use File 2005

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: nat05.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=2005.

* Versionsnummer des Moduls 'Nationalitaet und Migration'.
COMPUTE vers_nat=5.


*-------------------------------------------   Deutsche Staatsangehoerigkeit   --------------------------------------------.

COMPUTE deu_1=0.
IF (EF368<=2) deu_1=1.


*-------------------------------------   Deutsche Staatsangehoerigkeit detailliert   --------------------------------------.

RECODE EF368 (1=1) (2=2) (8=3) INTO deu_2.


*------------------------------------------------   Staatsangehoerigkeit   ------------------------------------------------.

RECODE EF369 (0=1) (13=2) (32=3) (9=4) (10=5) (23=6) (21=7) (22=8) (34=9)
   (2,14,29=10) (43=11) (24=12) (36=13) (40=14) (48=15) (50=16)
   (26=17) (3=18) (30=19) (ELSE=20) INTO nat_1.
IF (EF368<=2) nat_1=1.


*-----------------------------------------   Auslaendische Staatsangehoerigkeit   -----------------------------------------.

RECODE EF369 (0=-2) (2=0) (14=1) (13=2) (32=3) (9=4) (10=5) (23=6)
   (21=7) (22=8) (34=9) (29=10) (43=11) (24=12) (36=13) (40=14)
   (48=15) (50=16) (26=17) (3=18) (30=19) (4,37=20) (28,38=21) (41=22)
   (45=23) (47=24) (52,51=25) (55=27) INTO nat_2.
IF (EF368=1) nat_2=-2.


*-----------------------------   Vorhandensein einer 2. auslaendischen Staatsangehoerigkeit   -----------------------------.

COMPUTE ausst=EF370.


*------------------------------------------   Typisierte Staatsangehoerigkeit   -------------------------------------------.

COMPUTE nat_3=EF371.


*---------------------------------------------   Zuzugsjahr von Auslaendern   ---------------------------------------------.

RECODE EF367 (0=-2) (9999=-1) (1950 THRU 1959=1950) (ELSE=COPY) INTO zuzug_2.
IF (EF366=1) zuzug_2=0.
IF (EF368<=2) zuzug_2=-2.
EXECUTE.


*----------------------------------------------   Zuzugsjahr fuer Deutsche   ----------------------------------------------.

DO IF (EF371=1).
+   RECODE EF367 (0=-2) (9999=-1) (1950 THRU 1952=1950) (1953 THRU 1954=1953)
    (1955 THRU 1956=1955) (ELSE=COPY) INTO zuzug_3.
END IF.
IF (EF366=1) zuzug_3=0.
IF (EF371 > 1) zuzug_3=-2.
EXECUTE.

