* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Nationalitaet und Migration
* Mikrozensus Scientific Use File 1963

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: nat63.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1963.

* Versionsnummer des Moduls 'Nationalitaet und Migration'.
COMPUTE vers_nat=5.


*------------------------------------------------   Staatsangehoerigkeit   ------------------------------------------------.

COMPUTE nat_1=20.
IF (V17=1) nat_1=1.
IF (V17=7) nat_1=2.
IF (V17=8) nat_1=3.
IF (V17=6) nat_1=4.
IF (V17=10) nat_1=5.
IF (V17=13) nat_1=6.
IF (V17=4) nat_1=7.


*-------------------------------------------   Deutsche Staatsangehoerigkeit   --------------------------------------------.

COMPUTE deu_1=(V17=1).


*---------------------------------------------   Zuzugsjahr ins Bundesgebiet   --------------------------------------------.

RECODE V19 (0=0) (1=1945) (2=1948) (3=1951) (4=1954) (5=1957)
   (61=1961) (62=1962) (63=1963) (99=-1) INTO zuzug_1.


*-----------------------------------------   Zuzug aus SBZ/DDR oder Ost-Berlin   ------------------------------------------.

RECODE V20 (1=1) (2,3=0) INTO zost.


*-----------------------------------------   Vertriebenen-/Fluechtlingsausweis   ------------------------------------------.

RECODE V18 (7=-2) (ELSE=COPY) INTO vert.
EXECUTE.

