* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Nationalitaet und Migration
* Mikrozensus Scientific Use File 1964

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: nat64.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1964.

* Versionsnummer des Moduls 'Nationalitaet und Migration'.
COMPUTE vers_nat=5.


*------------------------------------------------   Staatsangehoerigkeit   ------------------------------------------------.

COMPUTE nat_1=20.
IF (V17=1) nat_1=1.
IF (V17=7) nat_1=2.
IF (V17=8) nat_1=3.
IF (V17=6) nat_1=4.
 

*-------------------------------------------   Deutsche Staatsangehoerigkeit   --------------------------------------------.

COMPUTE deu_1=(V17=1).


*---------------------------------------------   Zuzugsjahr ins Bundesgebiet   --------------------------------------------.

RECODE V19 (0=0) (45 THRU 47=1945) (48 THRU 50=1948) (51 THRU 53=1951)
   (54 THR 56=1954) (57 THRU 60=1957) (61=1961) (62=1962)
   (63=1963) (64=1964) (65=1965) (66=1966) (67=1967)
   (68=1968) (69=1969) (99=-1)
   INTO  zuzug_1.


*-----------------------------------------   Zuzug aus SBZ/DDR oder Ost-Berlin   ------------------------------------------.

RECODE V20 (1=1) (2,3=0) INTO zost.


*-----------------------------------------   Vertriebenen-/Fluechtlingsausweis   ------------------------------------------.

RECODE V18 (7=-2) (ELSE=COPY) INTO vert.
EXECUTE.

