* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Nationalitaet und Migration
* Mikrozensus Scientific Use File 1973

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: nat73.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1973.

* Versionsnummer des Moduls 'Nationalitaet und Migration'.
COMPUTE vers_nat=5.


*-------------------------------------------   Deutsche Staatsangehoerigkeit   --------------------------------------------.

COMPUTE deu_1=0.
IF (EF17=1) deu_1=1.


*------------------------------------------------   Staatsangehoerigkeit   ------------------------------------------------.

RECODE EF17 (1=1) (6=5) (9=2) (10=10) (13=7) (15=8) (20=3)
   (22=9) (25=11) (ELSE=20) INTO nat_1.


*----------------------------------------------------   Wohnsitz 1939   ---------------------------------------------------.

* Wohnsitz im Jahr 1939.
COMPUTE frwo=9.
IF (EF67=1) frwo=1.
IF (EF67=2) frwo=2.
IF (EF67=3 OR EF67=4 OR EF67=5) frwo=3.
IF (EF67=6) frwo=4.


*-----------------------------------------   Zuzug aus SBZ/DDR oder Ost-Berlin   ------------------------------------------.

RECODE EF68 (1=1) (9=0) INTO zost.


*-----------------------------------------   Vertriebenen-/Fluechtlingsausweis   ------------------------------------------.

RECODE EF69 (0=-2) (ELSE=COPY) INTO vert.
EXECUTE.

